package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UpgradeRequest
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpgradeRequest   {
  @JsonProperty("macs")
  @Valid
  private List<String> macs = null;

  @JsonProperty("fileId")
  private String fileId;

  public UpgradeRequest macs(List<String> macs) {
    this.macs = macs;
    return this;
  }

  public UpgradeRequest addMacsItem(String macsItem) {
    if (this.macs == null) {
      this.macs = new ArrayList<>();
    }
    this.macs.add(macsItem);
    return this;
  }

  /**
   * MAC list of devices
   * @return macs
  */
  @ApiModelProperty(value = "MAC list of devices")


  public List<String> getMacs() {
    return macs;
  }

  public void setMacs(List<String> macs) {
    this.macs = macs;
  }

  public UpgradeRequest fileId(String fileId) {
    this.fileId = fileId;
    return this;
  }

  /**
   * Firmware ID for upgrade
   * @return fileId
  */
  @ApiModelProperty(value = "Firmware ID for upgrade")


  public String getFileId() {
    return fileId;
  }

  public void setFileId(String fileId) {
    this.fileId = fileId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpgradeRequest upgradeRequest = (UpgradeRequest) o;
    return Objects.equals(this.macs, upgradeRequest.macs) &&
        Objects.equals(this.fileId, upgradeRequest.fileId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(macs, fileId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpgradeRequest {\n");
    
    sb.append("    macs: ").append(toIndentedString(macs)).append("\n");
    sb.append("    fileId: ").append(toIndentedString(fileId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

